Skip to content

KYC OCR

| View as Markdown

This api is for retrieving information from KYC documents like PAN and Aadhar. We have to pass document image and document type in request. If the document image and type are valid, we will get a success response.

https://kraken.airpay.co.in/airpay/ms/baas/api/kyc-ocr
FieldTypeDescription
affiliateTextWill be provided by Airpay (required)
checksumText$string = $param.self::$secret_key; (required)
api-keyTextWill be provided by airpay ( required)
processor-keyTextWill be provided by airpay ( required)
FieldTypeDescription
imgImageSupported document types: JPEG, JPG, PNG, Image file size: 4MB (required)
doc_typeTextPermanent Account Number (Pan), Aadhaar, E-aadhaar, Aadhar-front, Aadhar-back (required)
curl --location --request POST 'https://kraken.airpay.co.in/airpay/ms/baas/api/kyc-ocr' \
--header 'api-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'affiliate: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'checksum: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--header 'processor-key: 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps' \
--form 'img="pan-card.jpg"' \
--form 'doc_type="Pan"'
FieldTypeDescription
statusNumeric400- fail,200-success(length 3)
messageTextsuccess, fail
dataText[ { “details”: { “dateOfBirth”: { “value”: “01/01/1993”, “conf”: "" }, “father”: { “value”: “RAMESH KM”, “conf”: "" }, “name”: { “value”: “RAHUL R”, “conf”: "" }, “panNo”: { “value”: “BABCD1234G”, “conf”: "" } }, “type”: “Pan” } ]
{
"status": "200",
"message": "success",
"data": [
{
"details": {
"dateOfBirth": {
"value": "01/01/1993",
"conf": ""
},
"father": {
"value": "Ramesh KM",
"conf": ""
},
"name": {
"value": "RAHUL R",
"conf": ""
},
"panNo": {
"value": "BABCD1234G",
"conf": ""
}
},
"type": "Pan"
}
]
}
{
"status" : "400",
"message": "Failed",
}